
UNIT BigBro;

INTERFACE

	USES
		Types, SAGlobals, OSUtils,
		QuickDraw, Fonts, Windows, Menus, TextEdit, Dialogs,
		Resources, Sound, ToolUtils;
	
	PROCEDURE BeAPest;

IMPLEMENTATION

	PROCEDURE BeAPest;
	CONST
		kBigBroDLOG = 128;
	VAR
		A5Ref: A5RefType;
		oldA5: Longint;
		numSnds, i, itemHit: Integer;
		theSnd: Handle;
		playStatus: OSErr;
		orwell: DialogPtr;
	BEGIN
		IF NOT Button THEN BEGIN
			oldA5 := OpenA5World(A5Ref);
			IF A5Ref <> NIL THEN BEGIN
				InitGraf(@thePort);
				InitFonts;
				InitWindows;
				InitMenus;
				TEInit;
				InitDialogs(NIL);
				InitCursor;
				orwell := GetNewDialog(kBigBroDLOG, NIL, WindowPtr(-1));
				numSnds := CountResources('snd ');
				FOR i := 1 TO numSnds DO BEGIN
					theSnd := GetIndResource('snd ',i);
					IF theSnd <> NIL THEN
						playStatus := SndPlay(NIL,theSnd,FALSE);
					END;
				REPEAT
					ModalDialog(NIL, itemHit);
				UNTIL itemHit = 1;
				DisposDialog(orwell);
			CloseA5World(oldA5, A5Ref);
			END;
		END;
	END;

END.
